/*===========================================================================*/
/*   (Module/alibrary.scm)                                                   */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Module/alibrary.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_MODULE_ALIBRARY_TYPE_DEFINITIONS
#define BGL_MODULE_ALIBRARY_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


#endif													// BGL_MODULE_ALIBRARY_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62loadzd2libraryzd2initz62zzmodule_alibraryz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_alibraryz00 = BUNSPEC;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zzmodule_alibraryz00(void);
	static obj_t BGl_z62zc3z04anonymousza31221ze3ze5zzmodule_alibraryz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzmodule_alibraryz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31222ze3ze5zzmodule_alibraryz00(obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzmodule_alibraryz00(void);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2additionalzd2bigloozd2librariesza2z00zzengine_paramz00;
	static obj_t BGl_evalzd2initzd2zzmodule_alibraryz00(void);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2alibraryzd2initsz00zzmodule_alibraryz00(void);
	static obj_t BGl_methodzd2initzd2zzmodule_alibraryz00(void);
	BGL_IMPORT obj_t BGl_libraryzd2infozd2zz__libraryz00(obj_t);
	static obj_t BGl_registerzd2libraryzd2initz12z12zzmodule_alibraryz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2alibraryzd2compilerz00zzmodule_alibraryz00(void);
	static obj_t BGl_z62usezd2libraryz12za2zzmodule_alibraryz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31239ze3ze5zzmodule_alibraryz00(obj_t,
		obj_t);
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_za2libraryzd2initza2zd2zzmodule_alibraryz00 = BUNSPEC;
	extern obj_t BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_loadqz00zz__evalz00(obj_t, obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00(void);
	static obj_t BGl_cnstzd2initzd2zzmodule_alibraryz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_alibraryz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_alibraryz00(void);
	static obj_t BGl_z62makezd2alibraryzd2compilerz62zzmodule_alibraryz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzmodule_alibraryz00(void);
	BGL_IMPORT obj_t BGl_definezd2primopz12zc0zz__evenvz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2alibraryzd2initsz62zzmodule_alibraryz00(obj_t);
	static obj_t BGl_z62alibraryzd2producerzb0zzmodule_alibraryz00(obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_deletezd2duplicateszd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_defaultzd2environmentzd2zz__evalz00(void);
	static obj_t __cnst[6];


	   
		 
		DEFINE_STRING(BGl_string1337z00zzmodule_alibraryz00,
		BgL_bgl_string1337za700za7za7m1353za7, "]", 1);
	      DEFINE_STRING(BGl_string1338z00zzmodule_alibraryz00,
		BgL_bgl_string1338za700za7za7m1354za7, "      [reading ", 15);
	      DEFINE_STRING(BGl_string1339z00zzmodule_alibraryz00,
		BgL_bgl_string1339za700za7za7m1355za7, ".init", 5);
	      DEFINE_STRING(BGl_string1342z00zzmodule_alibraryz00,
		BgL_bgl_string1342za700za7za7m1356za7, "library", 7);
	      DEFINE_STRING(BGl_string1343z00zzmodule_alibraryz00,
		BgL_bgl_string1343za700za7za7m1357za7, "Illegal prototype", 17);
	      DEFINE_STRING(BGl_string1344z00zzmodule_alibraryz00,
		BgL_bgl_string1344za700za7za7m1358za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1345z00zzmodule_alibraryz00,
		BgL_bgl_string1345za700za7za7m1359za7, "Illegal `library' clause", 24);
	      DEFINE_STRING(BGl_string1347z00zzmodule_alibraryz00,
		BgL_bgl_string1347za700za7za7m1360za7, "~a()", 4);
	      DEFINE_STRING(BGl_string1348z00zzmodule_alibraryz00,
		BgL_bgl_string1348za700za7za7m1361za7, "-", 1);
	      DEFINE_STRING(BGl_string1349z00zzmodule_alibraryz00,
		BgL_bgl_string1349za700za7za7m1362za7, "Cannot find library init module",
		31);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1340z00zzmodule_alibraryz00,
		BgL_bgl_za762za7c3za704anonymo1363za7,
		BGl_z62zc3z04anonymousza31221ze3ze5zzmodule_alibraryz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1341z00zzmodule_alibraryz00,
		BgL_bgl_za762za7c3za704anonymo1364za7,
		BGl_z62zc3z04anonymousza31222ze3ze5zzmodule_alibraryz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1350z00zzmodule_alibraryz00,
		BgL_bgl_string1350za700za7za7m1365za7, "module_alibrary", 15);
	      DEFINE_STRING(BGl_string1351z00zzmodule_alibraryz00,
		BgL_bgl_string1351za700za7za7m1366za7,
		"use-library! begin module-initialization pragma void library ", 61);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1346z00zzmodule_alibraryz00,
		BgL_bgl_za762za7c3za704anonymo1367za7,
		BGl_z62zc3z04anonymousza31239ze3ze5zzmodule_alibraryz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2alibraryzd2initszd2envzd2zzmodule_alibraryz00,
		BgL_bgl_za762getza7d2alibrar1368z00,
		BGl_z62getzd2alibraryzd2initsz62zzmodule_alibraryz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_alibraryzd2producerzd2envz00zzmodule_alibraryz00,
		BgL_bgl_za762alibraryza7d2pr1369z00,
		BGl_z62alibraryzd2producerzb0zzmodule_alibraryz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2alibraryzd2compilerzd2envzd2zzmodule_alibraryz00,
		BgL_bgl_za762makeza7d2alibra1370z00,
		BGl_z62makezd2alibraryzd2compilerz62zzmodule_alibraryz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_usezd2libraryz12zd2envz12zzmodule_alibraryz00,
		BgL_bgl_za762useza7d2library1371z00,
		BGl_z62usezd2libraryz12za2zzmodule_alibraryz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_loadzd2libraryzd2initzd2envzd2zzmodule_alibraryz00,
		BgL_bgl_za762loadza7d2librar1372z00,
		BGl_z62loadzd2libraryzd2initz62zzmodule_alibraryz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzmodule_alibraryz00));
		     ADD_ROOT((void *) (&BGl_za2libraryzd2initza2zd2zzmodule_alibraryz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long
		BgL_checksumz00_996, char *BgL_fromz00_997)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_alibraryz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_alibraryz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_alibraryz00();
					BGl_libraryzd2moduleszd2initz00zzmodule_alibraryz00();
					BGl_cnstzd2initzd2zzmodule_alibraryz00();
					BGl_importedzd2moduleszd2initz00zzmodule_alibraryz00();
					BGl_evalzd2initzd2zzmodule_alibraryz00();
					return BGl_toplevelzd2initzd2zzmodule_alibraryz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_alibraryz00(void)
	{
		{	/* Module/alibrary.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "module_alibrary");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"module_alibrary");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"module_alibrary");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"module_alibrary");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "module_alibrary");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"module_alibrary");
			BGl_modulezd2initializa7ationz75zz__libraryz00(0L, "module_alibrary");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "module_alibrary");
			BGl_modulezd2initializa7ationz75zz__evalz00(0L, "module_alibrary");
			BGl_modulezd2initializa7ationz75zz__evenvz00(0L, "module_alibrary");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "module_alibrary");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"module_alibrary");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"module_alibrary");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"module_alibrary");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"module_alibrary");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"module_alibrary");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "module_alibrary");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "module_alibrary");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_alibraryz00(void)
	{
		{	/* Module/alibrary.scm 15 */
			{	/* Module/alibrary.scm 15 */
				obj_t BgL_cportz00_945;

				{	/* Module/alibrary.scm 15 */
					obj_t BgL_stringz00_952;

					BgL_stringz00_952 = BGl_string1351z00zzmodule_alibraryz00;
					{	/* Module/alibrary.scm 15 */
						obj_t BgL_startz00_953;

						BgL_startz00_953 = BINT(0L);
						{	/* Module/alibrary.scm 15 */
							obj_t BgL_endz00_954;

							BgL_endz00_954 = BINT(STRING_LENGTH(((obj_t) BgL_stringz00_952)));
							{	/* Module/alibrary.scm 15 */

								BgL_cportz00_945 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_952, BgL_startz00_953, BgL_endz00_954);
				}}}}
				{
					long BgL_iz00_946;

					BgL_iz00_946 = 5L;
				BgL_loopz00_947:
					if ((BgL_iz00_946 == -1L))
						{	/* Module/alibrary.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/alibrary.scm 15 */
							{	/* Module/alibrary.scm 15 */
								obj_t BgL_arg1352z00_948;

								{	/* Module/alibrary.scm 15 */

									{	/* Module/alibrary.scm 15 */
										obj_t BgL_locationz00_950;

										BgL_locationz00_950 = BBOOL(((bool_t) 0));
										{	/* Module/alibrary.scm 15 */

											BgL_arg1352z00_948 =
												BGl_readz00zz__readerz00(BgL_cportz00_945,
												BgL_locationz00_950);
										}
									}
								}
								{	/* Module/alibrary.scm 15 */
									int BgL_tmpz00_1034;

									BgL_tmpz00_1034 = (int) (BgL_iz00_946);
									CNST_TABLE_SET(BgL_tmpz00_1034, BgL_arg1352z00_948);
							}}
							{	/* Module/alibrary.scm 15 */
								int BgL_auxz00_951;

								BgL_auxz00_951 = (int) ((BgL_iz00_946 - 1L));
								{
									long BgL_iz00_1039;

									BgL_iz00_1039 = (long) (BgL_auxz00_951);
									BgL_iz00_946 = BgL_iz00_1039;
									goto BgL_loopz00_947;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_alibraryz00(void)
	{
		{	/* Module/alibrary.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_alibraryz00(void)
	{
		{	/* Module/alibrary.scm 15 */
			return (BGl_za2libraryzd2initza2zd2zzmodule_alibraryz00 = BNIL, BUNSPEC);
		}

	}



/* load-library-init */
	BGL_EXPORTED_DEF obj_t BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00(void)
	{
		{	/* Module/alibrary.scm 47 */
			{

				{	/* Module/alibrary.scm 48 */
					bool_t BgL_tmpz00_1042;

				BgL_zc3z04anonymousza31208ze3z87_650:
					if (NULLP(BGl_za2libraryzd2initza2zd2zzmodule_alibraryz00))
						{	/* Module/alibrary.scm 49 */
							BgL_tmpz00_1042 = ((bool_t) 0);
						}
					else
						{	/* Module/alibrary.scm 49 */
							{	/* Module/alibrary.scm 50 */
								obj_t BgL_lz00_652;

								BgL_lz00_652 = BGl_za2libraryzd2initza2zd2zzmodule_alibraryz00;
								BGl_za2libraryzd2initza2zd2zzmodule_alibraryz00 = BNIL;
								{
									obj_t BgL_l1150z00_654;

									BgL_l1150z00_654 = BgL_lz00_652;
								BgL_zc3z04anonymousza31210ze3z87_655:
									if (PAIRP(BgL_l1150z00_654))
										{	/* Module/alibrary.scm 52 */
											{	/* Module/alibrary.scm 53 */
												obj_t BgL_fnamez00_657;

												BgL_fnamez00_657 = CAR(BgL_l1150z00_654);
												{	/* Module/alibrary.scm 53 */
													obj_t BgL_list1212z00_658;

													{	/* Module/alibrary.scm 53 */
														obj_t BgL_arg1213z00_659;

														{	/* Module/alibrary.scm 53 */
															obj_t BgL_arg1214z00_660;

															{	/* Module/alibrary.scm 53 */
																obj_t BgL_arg1217z00_661;

																BgL_arg1217z00_661 =
																	MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
																	BNIL);
																BgL_arg1214z00_660 =
																	MAKE_YOUNG_PAIR
																	(BGl_string1337z00zzmodule_alibraryz00,
																	BgL_arg1217z00_661);
															}
															BgL_arg1213z00_659 =
																MAKE_YOUNG_PAIR(BgL_fnamez00_657,
																BgL_arg1214z00_660);
														}
														BgL_list1212z00_658 =
															MAKE_YOUNG_PAIR
															(BGl_string1338z00zzmodule_alibraryz00,
															BgL_arg1213z00_659);
													}
													BGl_verbosez00zztools_speekz00(BINT(2L),
														BgL_list1212z00_658);
												}
												{	/* Module/alibrary.scm 54 */
													obj_t BgL_envz00_663;

													BgL_envz00_663 =
														BGl_defaultzd2environmentzd2zz__evalz00();
													{	/* Module/alibrary.scm 54 */

														BGl_loadqz00zz__evalz00(BgL_fnamez00_657,
															BgL_envz00_663);
											}}}
											{
												obj_t BgL_l1150z00_1057;

												BgL_l1150z00_1057 = CDR(BgL_l1150z00_654);
												BgL_l1150z00_654 = BgL_l1150z00_1057;
												goto BgL_zc3z04anonymousza31210ze3z87_655;
											}
										}
									else
										{	/* Module/alibrary.scm 52 */
											((bool_t) 1);
										}
								}
							}
							goto BgL_zc3z04anonymousza31208ze3z87_650;
						}
					return BBOOL(BgL_tmpz00_1042);
				}
			}
		}

	}



/* &load-library-init */
	obj_t BGl_z62loadzd2libraryzd2initz62zzmodule_alibraryz00(obj_t
		BgL_envz00_924)
	{
		{	/* Module/alibrary.scm 47 */
			return BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
		}

	}



/* register-library-init! */
	obj_t BGl_registerzd2libraryzd2initz12z12zzmodule_alibraryz00(obj_t
		BgL_libraryz00_75)
	{
		{	/* Module/alibrary.scm 61 */
			{	/* Module/alibrary.scm 62 */
				obj_t BgL_initzd2namezd2_667;

				{	/* Module/alibrary.scm 62 */
					obj_t BgL_arg1219z00_669;

					{	/* Module/alibrary.scm 62 */
						obj_t BgL_arg1454z00_841;

						BgL_arg1454z00_841 = SYMBOL_TO_STRING(BgL_libraryz00_75);
						BgL_arg1219z00_669 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1454z00_841);
					}
					BgL_initzd2namezd2_667 =
						string_append(BgL_arg1219z00_669,
						BGl_string1339z00zzmodule_alibraryz00);
				}
				{	/* Module/alibrary.scm 62 */
					obj_t BgL_fnamez00_668;

					BgL_fnamez00_668 =
						BGl_findzd2filezf2pathz20zz__osz00(BgL_initzd2namezd2_667,
						BGl_za2libzd2dirza2zd2zzengine_paramz00);
					{	/* Module/alibrary.scm 63 */

						if (CBOOL(BgL_fnamez00_668))
							{	/* Module/alibrary.scm 64 */
								return (BGl_za2libraryzd2initza2zd2zzmodule_alibraryz00 =
									MAKE_YOUNG_PAIR(BgL_fnamez00_668,
										BGl_za2libraryzd2initza2zd2zzmodule_alibraryz00), BUNSPEC);
							}
						else
							{	/* Module/alibrary.scm 64 */
								return BFALSE;
							}
					}
				}
			}
		}

	}



/* use-library! */
	BGL_EXPORTED_DEF obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t
		BgL_libraryz00_76)
	{
		{	/* Module/alibrary.scm 70 */
			if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00(BgL_libraryz00_76,
						BGl_za2additionalzd2bigloozd2librariesza2z00zzengine_paramz00)))
				{	/* Module/alibrary.scm 71 */
					return BFALSE;
				}
			else
				{	/* Module/alibrary.scm 71 */
					BGl_za2additionalzd2bigloozd2librariesza2z00zzengine_paramz00 =
						MAKE_YOUNG_PAIR(BgL_libraryz00_76,
						BGl_za2additionalzd2bigloozd2librariesza2z00zzengine_paramz00);
					{	/* Module/alibrary.scm 74 */
						obj_t BgL_heapzd2namezd2_671;

						{	/* Module/alibrary.scm 74 */
							obj_t BgL_arg1454z00_843;

							BgL_arg1454z00_843 = SYMBOL_TO_STRING(BgL_libraryz00_76);
							BgL_heapzd2namezd2_671 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1454z00_843);
						}
						BGl_registerzd2libraryzd2initz12z12zzmodule_alibraryz00
							(BgL_libraryz00_76);
						BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00 =
							MAKE_YOUNG_PAIR(BgL_heapzd2namezd2_671,
							BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00);
						return BgL_libraryz00_76;
					}
				}
		}

	}



/* &use-library! */
	obj_t BGl_z62usezd2libraryz12za2zzmodule_alibraryz00(obj_t BgL_envz00_925,
		obj_t BgL_libraryz00_926)
	{
		{	/* Module/alibrary.scm 70 */
			return BGl_usezd2libraryz12zc0zzmodule_alibraryz00(BgL_libraryz00_926);
		}

	}



/* make-alibrary-compiler */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2alibraryzd2compilerz00zzmodule_alibraryz00(void)
	{
		{	/* Module/alibrary.scm 83 */
			{	/* Module/alibrary.scm 84 */
				BgL_ccompz00_bglt BgL_new1063z00_672;

				{	/* Module/alibrary.scm 85 */
					BgL_ccompz00_bglt BgL_new1062z00_677;

					BgL_new1062z00_677 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/alibrary.scm 85 */
						long BgL_arg1223z00_678;

						BgL_arg1223z00_678 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1062z00_677), BgL_arg1223z00_678);
					}
					BgL_new1063z00_672 = BgL_new1062z00_677;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1063z00_672))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(0L)), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1063z00_672))->BgL_producerz00) =
					((obj_t) BGl_alibraryzd2producerzd2envz00zzmodule_alibraryz00),
					BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1063z00_672))->BgL_consumerz00) =
					((obj_t) BGl_proc1340z00zzmodule_alibraryz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1063z00_672))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_proc1341z00zzmodule_alibraryz00), BUNSPEC);
				return ((obj_t) BgL_new1063z00_672);
			}
		}

	}



/* &make-alibrary-compiler */
	obj_t BGl_z62makezd2alibraryzd2compilerz62zzmodule_alibraryz00(obj_t
		BgL_envz00_929)
	{
		{	/* Module/alibrary.scm 83 */
			return BGl_makezd2alibraryzd2compilerz00zzmodule_alibraryz00();
		}

	}



/* &<@anonymous:1222> */
	obj_t BGl_z62zc3z04anonymousza31222ze3ze5zzmodule_alibraryz00(obj_t
		BgL_envz00_930)
	{
		{	/* Module/module.scm 55 */
			return CNST_TABLE_REF(1L);
		}

	}



/* &<@anonymous:1221> */
	obj_t BGl_z62zc3z04anonymousza31221ze3ze5zzmodule_alibraryz00(obj_t
		BgL_envz00_931, obj_t BgL_mz00_932, obj_t BgL_cz00_933)
	{
		{	/* Module/module.scm 53 */
			return BNIL;
		}

	}



/* &alibrary-producer */
	obj_t BGl_z62alibraryzd2producerzb0zzmodule_alibraryz00(obj_t BgL_envz00_934,
		obj_t BgL_clausez00_935)
	{
		{	/* Module/alibrary.scm 91 */
			{
				obj_t BgL_protosz00_958;

				if (PAIRP(BgL_clausez00_935))
					{	/* Module/alibrary.scm 92 */
						obj_t BgL_arg1225z00_963;

						BgL_arg1225z00_963 = CDR(((obj_t) BgL_clausez00_935));
						BgL_protosz00_958 = BgL_arg1225z00_963;
						{
							obj_t BgL_l1152z00_960;

							BgL_l1152z00_960 = BgL_protosz00_958;
						BgL_zc3z04anonymousza31226ze3z87_959:
							if (PAIRP(BgL_l1152z00_960))
								{	/* Module/alibrary.scm 94 */
									{	/* Module/alibrary.scm 95 */
										obj_t BgL_xz00_961;

										BgL_xz00_961 = CAR(BgL_l1152z00_960);
										if (SYMBOLP(BgL_xz00_961))
											{	/* Module/alibrary.scm 95 */
												BGl_usezd2libraryz12zc0zzmodule_alibraryz00
													(BgL_xz00_961);
											}
										else
											{	/* Module/alibrary.scm 95 */
												BGl_errorz00zz__errorz00
													(BGl_string1342z00zzmodule_alibraryz00,
													BGl_string1343z00zzmodule_alibraryz00, BgL_xz00_961);
											}
									}
									{
										obj_t BgL_l1152z00_1100;

										BgL_l1152z00_1100 = CDR(BgL_l1152z00_960);
										BgL_l1152z00_960 = BgL_l1152z00_1100;
										goto BgL_zc3z04anonymousza31226ze3z87_959;
									}
								}
							else
								{	/* Module/alibrary.scm 94 */
									((bool_t) 1);
								}
						}
						return BNIL;
					}
				else
					{	/* Module/alibrary.scm 92 */
						{	/* Module/alibrary.scm 101 */
							obj_t BgL_list1233z00_962;

							BgL_list1233z00_962 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							return
								BGl_userzd2errorzd2zztools_errorz00
								(BGl_string1344z00zzmodule_alibraryz00,
								BGl_string1345z00zzmodule_alibraryz00, BgL_clausez00_935,
								BgL_list1233z00_962);
						}
					}
			}
		}

	}



/* get-alibrary-inits */
	BGL_EXPORTED_DEF obj_t BGl_getzd2alibraryzd2initsz00zzmodule_alibraryz00(void)
	{
		{	/* Module/alibrary.scm 106 */
			{	/* Module/alibrary.scm 107 */
				obj_t BgL_arg1237z00_695;

				{	/* Module/alibrary.scm 127 */
					obj_t BgL_g1937z00_729;

					BgL_g1937z00_729 =
						BGl_za2additionalzd2bigloozd2librariesza2z00zzengine_paramz00;
					{	/* Module/alibrary.scm 127 */

						BgL_arg1237z00_695 =
							BGl_deletezd2duplicateszd2zz__r4_pairs_and_lists_6_3z00
							(BgL_g1937z00_729,
							BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00);
				}}
				{	/* Module/alibrary.scm 107 */
					obj_t BgL_list1238z00_696;

					BgL_list1238z00_696 = MAKE_YOUNG_PAIR(BgL_arg1237z00_695, BNIL);
					return
						BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
						(BGl_proc1346z00zzmodule_alibraryz00, BgL_list1238z00_696);
				}
			}
		}

	}



/* &get-alibrary-inits */
	obj_t BGl_z62getzd2alibraryzd2initsz62zzmodule_alibraryz00(obj_t
		BgL_envz00_937)
	{
		{	/* Module/alibrary.scm 106 */
			return BGl_getzd2alibraryzd2initsz00zzmodule_alibraryz00();
		}

	}



/* &<@anonymous:1239> */
	obj_t BGl_z62zc3z04anonymousza31239ze3ze5zzmodule_alibraryz00(obj_t
		BgL_envz00_938, obj_t BgL_libz00_939)
	{
		{	/* Module/alibrary.scm 107 */
			{	/* Module/alibrary.scm 108 */
				obj_t BgL_infoz00_964;

				BgL_infoz00_964 = BGl_libraryzd2infozd2zz__libraryz00(BgL_libz00_939);
				if (CBOOL(BgL_infoz00_964))
					{	/* Module/alibrary.scm 111 */
						obj_t BgL_arg1240z00_965;

						{	/* Module/alibrary.scm 111 */
							obj_t BgL_arg1241z00_966;
							obj_t BgL_arg1242z00_967;

							{	/* Module/alibrary.scm 111 */
								bool_t BgL_test1390z00_1111;

								if (CBOOL(STRUCT_REF(((obj_t) BgL_infoz00_964), (int) (3L))))
									{	/* Module/alibrary.scm 112 */
										obj_t BgL_arg1250z00_968;

										BgL_arg1250z00_968 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_test1390z00_1111 =
											(((BgL_backendz00_bglt) COBJECT(
													((BgL_backendz00_bglt) BgL_arg1250z00_968)))->
											BgL_pragmazd2supportzd2);
									}
								else
									{	/* Module/alibrary.scm 111 */
										BgL_test1390z00_1111 = ((bool_t) 0);
									}
								if (BgL_test1390z00_1111)
									{	/* Module/alibrary.scm 114 */
										obj_t BgL_arg1246z00_969;

										{	/* Module/alibrary.scm 114 */
											obj_t BgL_arg1247z00_970;

											{	/* Module/alibrary.scm 114 */
												obj_t BgL_arg1248z00_971;

												BgL_arg1248z00_971 =
													STRUCT_REF(((obj_t) BgL_infoz00_964), (int) (3L));
												{	/* Module/alibrary.scm 113 */
													obj_t BgL_list1249z00_972;

													BgL_list1249z00_972 =
														MAKE_YOUNG_PAIR(BgL_arg1248z00_971, BNIL);
													BgL_arg1247z00_970 =
														BGl_formatz00zz__r4_output_6_10_3z00
														(BGl_string1347z00zzmodule_alibraryz00,
														BgL_list1249z00_972);
											}}
											BgL_arg1246z00_969 =
												MAKE_YOUNG_PAIR(BgL_arg1247z00_970, BNIL);
										}
										BgL_arg1241z00_966 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(2L), BgL_arg1246z00_969);
									}
								else
									{	/* Module/alibrary.scm 111 */
										BgL_arg1241z00_966 = BFALSE;
									}
							}
							{	/* Module/alibrary.scm 115 */
								obj_t BgL_arg1252z00_973;
								obj_t BgL_arg1253z00_974;

								if (CBOOL(STRUCT_REF(((obj_t) BgL_infoz00_964), (int) (5L))))
									{	/* Module/alibrary.scm 116 */
										obj_t BgL_vz00_975;

										{	/* Module/alibrary.scm 117 */
											obj_t BgL_arg1276z00_976;

											BgL_arg1276z00_976 =
												STRUCT_REF(((obj_t) BgL_infoz00_964), (int) (5L));
											{	/* Module/alibrary.scm 116 */
												obj_t BgL_list1277z00_977;

												BgL_list1277z00_977 =
													MAKE_YOUNG_PAIR(BgL_arg1276z00_976, BNIL);
												BgL_vz00_975 =
													BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(3L),
													BgL_list1277z00_977);
										}}
										{	/* Module/alibrary.scm 118 */
											bool_t BgL_test1393z00_1139;

											{	/* Module/alibrary.scm 118 */
												obj_t BgL_classz00_978;

												BgL_classz00_978 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_vz00_975))
													{	/* Module/alibrary.scm 118 */
														BgL_objectz00_bglt BgL_arg1801z00_979;

														BgL_arg1801z00_979 =
															(BgL_objectz00_bglt) (BgL_vz00_975);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Module/alibrary.scm 118 */
																long BgL_idxz00_980;

																BgL_idxz00_980 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1801z00_979);
																BgL_test1393z00_1139 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_980 + 2L)) == BgL_classz00_978);
															}
														else
															{	/* Module/alibrary.scm 118 */
																bool_t BgL_res1333z00_983;

																{	/* Module/alibrary.scm 118 */
																	obj_t BgL_oclassz00_984;

																	{	/* Module/alibrary.scm 118 */
																		long BgL_arg1808z00_985;

																		{	/* Module/alibrary.scm 118 */
																			long BgL_arg1809z00_986;

																			BgL_arg1809z00_986 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1801z00_979);
																			BgL_arg1808z00_985 =
																				(BgL_arg1809z00_986 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_984 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1808z00_985);
																	}
																	{	/* Module/alibrary.scm 118 */
																		bool_t BgL__ortest_1115z00_987;

																		BgL__ortest_1115z00_987 =
																			(BgL_classz00_978 == BgL_oclassz00_984);
																		if (BgL__ortest_1115z00_987)
																			{	/* Module/alibrary.scm 118 */
																				BgL_res1333z00_983 =
																					BgL__ortest_1115z00_987;
																			}
																		else
																			{	/* Module/alibrary.scm 118 */
																				long BgL_odepthz00_988;

																				BgL_odepthz00_988 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_984);
																				if ((2L < BgL_odepthz00_988))
																					{	/* Module/alibrary.scm 118 */
																						obj_t BgL_arg1797z00_989;

																						BgL_arg1797z00_989 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_984, 2L);
																						BgL_res1333z00_983 =
																							(BgL_arg1797z00_989 ==
																							BgL_classz00_978);
																					}
																				else
																					{	/* Module/alibrary.scm 118 */
																						BgL_res1333z00_983 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test1393z00_1139 = BgL_res1333z00_983;
															}
													}
												else
													{	/* Module/alibrary.scm 118 */
														BgL_test1393z00_1139 = ((bool_t) 0);
													}
											}
											if (BgL_test1393z00_1139)
												{	/* Module/alibrary.scm 119 */
													obj_t BgL_fz00_990;

													{	/* Module/alibrary.scm 119 */
														bool_t BgL_test1398z00_1159;

														{	/* Module/alibrary.scm 119 */
															obj_t BgL_tmpz00_1160;

															BgL_tmpz00_1160 =
																CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
															BgL_test1398z00_1159 = STRINGP(BgL_tmpz00_1160);
														}
														if (BgL_test1398z00_1159)
															{	/* Module/alibrary.scm 119 */
																BgL_fz00_990 =
																	CAR
																	(BGl_za2srczd2filesza2zd2zzengine_paramz00);
															}
														else
															{	/* Module/alibrary.scm 119 */
																BgL_fz00_990 =
																	BGl_string1348z00zzmodule_alibraryz00;
															}
													}
													{	/* Module/alibrary.scm 122 */
														obj_t BgL_arg1256z00_991;

														{	/* Module/alibrary.scm 122 */
															obj_t BgL_arg1257z00_992;

															BgL_arg1257z00_992 =
																MAKE_YOUNG_PAIR(BgL_fz00_990, BNIL);
															BgL_arg1256z00_991 =
																MAKE_YOUNG_PAIR(BINT(0L), BgL_arg1257z00_992);
														}
														BgL_arg1252z00_973 =
															MAKE_YOUNG_PAIR(BgL_vz00_975, BgL_arg1256z00_991);
													}
												}
											else
												{	/* Module/alibrary.scm 124 */
													obj_t BgL_arg1275z00_993;

													BgL_arg1275z00_993 =
														STRUCT_REF(((obj_t) BgL_infoz00_964), (int) (5L));
													BgL_arg1252z00_973 =
														BGl_errorz00zz__errorz00
														(BGl_string1342z00zzmodule_alibraryz00,
														BGl_string1349z00zzmodule_alibraryz00,
														BgL_arg1275z00_993);
									}}}
								else
									{	/* Module/alibrary.scm 115 */
										BgL_arg1252z00_973 = BFALSE;
									}
								{	/* Module/alibrary.scm 125 */
									obj_t BgL_arg1279z00_994;

									if (CBOOL(STRUCT_REF(((obj_t) BgL_infoz00_964), (int) (9L))))
										{	/* Module/alibrary.scm 126 */
											obj_t BgL_arg1281z00_995;

											BgL_arg1281z00_995 =
												STRUCT_REF(((obj_t) BgL_infoz00_964), (int) (9L));
											BgL_arg1279z00_994 =
												MAKE_YOUNG_PAIR(BgL_arg1281z00_995, BNIL);
										}
									else
										{	/* Module/alibrary.scm 125 */
											BgL_arg1279z00_994 = BFALSE;
										}
									BgL_arg1253z00_974 =
										MAKE_YOUNG_PAIR(BgL_arg1279z00_994, BNIL);
								}
								BgL_arg1242z00_967 =
									MAKE_YOUNG_PAIR(BgL_arg1252z00_973, BgL_arg1253z00_974);
							}
							BgL_arg1240z00_965 =
								MAKE_YOUNG_PAIR(BgL_arg1241z00_966, BgL_arg1242z00_967);
						}
						return MAKE_YOUNG_PAIR(CNST_TABLE_REF(4L), BgL_arg1240z00_965);
					}
				else
					{	/* Module/alibrary.scm 109 */
						return BFALSE;
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_alibraryz00(void)
	{
		{	/* Module/alibrary.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_alibraryz00(void)
	{
		{	/* Module/alibrary.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_alibraryz00(void)
	{
		{	/* Module/alibrary.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_alibraryz00(void)
	{
		{	/* Module/alibrary.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1350z00zzmodule_alibraryz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1350z00zzmodule_alibraryz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1350z00zzmodule_alibraryz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(517137079L,
				BSTRING_TO_STRING(BGl_string1350z00zzmodule_alibraryz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1350z00zzmodule_alibraryz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1350z00zzmodule_alibraryz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1350z00zzmodule_alibraryz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(374700232L,
				BSTRING_TO_STRING(BGl_string1350z00zzmodule_alibraryz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1350z00zzmodule_alibraryz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1350z00zzmodule_alibraryz00));
		}

	}



/* eval-init */
	obj_t BGl_evalzd2initzd2zzmodule_alibraryz00(void)
	{
		{	/* Module/alibrary.scm 15 */
			BGl_definezd2primopz12zc0zz__evenvz00(CNST_TABLE_REF(5L),
				BGl_usezd2libraryz12zd2envz12zzmodule_alibraryz00);
			return BUNSPEC;
		}

	}

#ifdef __cplusplus
}
#endif
